> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Portfolio Item Changes

> Retrieves all changes for a portfolio item across all snapshots.

Returns a list of DiffChange objects representing all changes
between consecutive snapshots for the portfolio item.



## OpenAPI

````yaml /api-reference/openapi.json get /portfolio/items/{item_id}/changes
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /portfolio/items/{item_id}/changes:
    get:
      tags:
        - Portfolio Monitoring
      summary: Get Portfolio Item Changes
      description: |-
        Retrieves all changes for a portfolio item across all snapshots.

        Returns a list of DiffChange objects representing all changes
        between consecutive snapshots for the portfolio item.
      operationId: get_portfolio_item_changes_portfolio_items__item_id__changes_get
      parameters:
        - name: item_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: The unique identifier of the portfolio item.
            description: The unique identifier of the portfolio item to get changes for.
            examples:
              - 412a49b5-7466-426b-bf1e-081b00b54576
              - 9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5
          description: The unique identifier of the portfolio item to get changes for.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: >-
              Maximum number of records to return in a single page. Must be
              between 1 and 1000.
            default: 10
            title: Limit
          description: >-
            Maximum number of records to return in a single page. Must be
            between 1 and 1000.
        - name: offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: >-
              Number of records to skip from the beginning. Use 0 for the first
              page. Cannot be used with cursor.
            title: Offset
          description: >-
            Number of records to skip from the beginning. Use 0 for the first
            page. Cannot be used with cursor.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Opaque pagination cursor token that identifies the position in the
              result set. Use the cursor from the previous response to get the
              next page. Cannot be used with offset.
            title: Cursor
          description: >-
            Opaque pagination cursor token that identifies the position in the
            result set. Use the cursor from the previous response to get the
            next page. Cannot be used with offset.
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.DiffChangeResponse'
            application/vnd.baselayer.v1+json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.DiffChangeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.DiffChangeResponse:
      properties:
        path:
          type: string
          title: Path
          description: The path of the change
        operation:
          $ref: '#/components/schemas/JSONPatchOperationType'
          description: The operation that was performed
        old_value:
          title: Old Value
          description: The old value of the change
        new_value:
          title: New Value
          description: The new value of the change
        changed_at:
          type: string
          format: date-time
          title: Changed At
          description: The date and time the change was made
      type: object
      required:
        - path
        - operation
        - old_value
        - new_value
        - changed_at
      title: DiffChangeResponse (v1)
      description: Represents a change in a diff.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JSONPatchOperationType:
      type: string
      enum:
        - add
        - remove
        - replace
        - move
        - copy
        - test
      title: JSONPatchOperationType
      description: Enumeration of valid JSON Patch operation types.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````